/**
 * 首页模块
 * 默认模块名: main
 * @return {[object]}  [ 返回一个对象 ]
 */
loader.define(function (require, exports, module, global) {


    // 合并接收默认参数
    let props = $.extend(true, {}, module.props);

    // 初始化数据行为存储
    var bs = bui.store({
        el: `#${module.id}`,
        scope: "home",
        data: {
            a: 1,
        },
        methods: {
            back() {
                // 绑定页面下所有按钮的href跳转
                bui.back();
            },
            backRefresh() {
                bui.back({
                    callback: function (mod) {
                        // mod: 为上一个页面抛出的方法
                        // 刷新
                        bui.refresh();
                    }
                });
            },
            getParam() {
                bui.alert(props)
            }
        },
        watch: {},
        computed: {},
        templates: {},
        mounted: function () {
            // 数据解析后执行
        }
    })

    // 输出模块
    return bs;
})
